Summary: Very Secure Ftp Daemon
Name: vsftpd
Version: 2.3.5
Release: 1
License: GPL
Group: System Environment/Daemons
URL: http://vsftpd.beasts.org/
Source0: ftp://vsftpd.beasts.org/users/cevans/%{name}-%{version}.tar.gz
Source1: ftp://vsftpd.beasts.org/users/cevans/%{name}-%{version}.tar.gz.asc
Source2: %{name}-%{version}.aix.init
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: openssl-devel >= 0.9.8, grep
Requires: openssl >= 0.9.8

%description
vsftpd is a Very Secure FTP daemon. It was written completely from
scratch.


%prep
%setup -q


%build
export PATH=/opt/freeware/bin:$PATH
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/etc/%{name}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

cp %{name} ${RPM_BUILD_ROOT}%{_sbindir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_sbindir}/%{name}

cp %{name}.conf ${RPM_BUILD_ROOT}/etc/%{name}/%{name}.conf
chmod 0600 ${RPM_BUILD_ROOT}/etc/%{name}/%{name}.conf

cp %{name}.conf.5 ${RPM_BUILD_ROOT}%{_mandir}/man5/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man5/*

cp %{name}.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man8/*

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/%{name}

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/
ln -sf '../init.d/vsftpd' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/Svsftpd
ln -sf '../init.d/vsftpd' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/Kvsftpd
ln -sf '../init.d/vsftpd' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/Svsftpd
ln -sf '../init.d/vsftpd' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/Kvsftpd


%post
if [ "$1" -gt "1" ]; then
   # Upgrading vsftpd package - restart vsftpd
   /etc/rc.d/init.d/vsftpd restart
fi


%preun
if [ "$1" = 0 ]
then
   /etc/rc.d/init.d/vsftpd stop
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc FAQ INSTALL BUGS AUDIT Changelog LICENSE README README.security REWARD
%doc SPEED TODO BENCHMARKS COPYING SECURITY/ EXAMPLE/ TUNING SIZE 
%{_sbindir}/%{name}
/etc/rc.d/init.d/%{name}
/etc/rc.d/rc2.d/S%{name}
/etc/rc.d/rc2.d/K%{name}
/etc/rc.d/rc3.d/S%{name}
/etc/rc.d/rc3.d/K%{name}
%dir /etc/%{name}
%config(noreplace) /etc/%{name}/%{name}.*
%{_mandir}/man5/*
%{_mandir}/man8/*


%changelog
* Fri Dec 23 2011 Michael Perzl <michael@perzl.org> - 2.3.5-1
- updated to version 2.3.5

* Sun Mar 13 2011 Michael Perzl <michael@perzl.org> - 2.3.4-1
- updated to version 2.3.4

* Wed Jan 12 2011 Michael Perzl <michael@perzl.org> - 2.3.2-1
- updated to version 2.3.2

* Thu Aug 19 2010 Michael Perzl <michael@perzl.org> - 2.3.1-1
- updated to version 2.3.1

* Sun Aug 08 2010 Michael Perzl <michael@perzl.org> - 2.3.0-1
- updated to version 2.3.0

* Tue Nov 17 2009 Michael Perzl <michael@perzl.org> - 2.2.2-1
- updated to version 2.2.2

* Wed Oct 21 2009 Michael Perzl <michael@perzl.org> - 2.2.1-1
- updated to version 2.2.1

* Thu Aug 13 2009 Michael Perzl <michael@perzl.org> - 2.2.0-1
- updated to version 2.2.0

* Thu Jun 18 2009 Michael Perzl <michael@perzl.org> - 2.1.2-1
- updated to version 2.1.2

* Thu Apr 23 2009 Michael Perzl <michael@perzl.org> - 2.1.0-2
- fixed some errors in the init script

* Tue Apr 21 2009 Michael Perzl <michael@perzl.org> - 2.1.0-1
- updated to version 2.1.0

* Tue Apr 21 2009 Michael Perzl <michael@perzl.org> - 2.0.7-1
- first version for AIX V5.1 and higher
